Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceStorm::TopicManager`

## Overview

    interface TopicManager

A topic manager manages topics, and subscribers to topics.

### See Also

`Topic`

### Operation Index

`create`

  Create a new topic.

`getSliceChecksums`

  Returns the checksums for the IceStorm Slice definitions.

`retrieve`

  Retrieve a topic by name.

`retrieveAll`

  Retrieve all topics managed by this topic manager.

## `create`

    Topic* create(string name)
        throws
    	TopicExists;

Create a new topic. The topic name must be unique, otherwise `TopicExists` is raised.

### Parameters

`name`

  The name of the topic.

### Return Value

A proxy to the topic instance.

### Exceptions

`TopicExists`

  Raised if a topic with the same name already exists.

## `getSliceChecksums`

    ::Ice::SliceChecksumDict getSliceChecksums();

Returns the checksums for the IceStorm Slice definitions.

### Return Value

A dictionary mapping Slice type ids to their checksums.

## `retrieve`

    Topic* retrieve(string name)
        throws
    	NoSuchTopic;

Retrieve a topic by name.

### Parameters

`name`

  The name of the topic.

### Return Value

A proxy to the topic instance.

### Exceptions

`NoSuchTopic`

  Raised if the topic does not exist.

## `retrieveAll`

    TopicDict retrieveAll();

Retrieve all topics managed by this topic manager.

### Return Value

A dictionary of string, topic proxy pairs.

<<< Previous | Home | Next >>>
`IceStorm::TopicExists` | Up | `IcePatch2`